namespace CMSMicroservice.Application.FactorDetailsCQ.Queries.GetAllFactorDetailsByFilter;
public class GetAllFactorDetailsByFilterQueryValidator : AbstractValidator<GetAllFactorDetailsByFilterQuery>
{
    public GetAllFactorDetailsByFilterQueryValidator()
    {
    }
    public Func<object, string, Task<IEnumerable<string>>> ValidateValue => async (model, propertyName) =>
    {
        var result = await ValidateAsync(ValidationContext<GetAllFactorDetailsByFilterQuery>.CreateWithOptions((GetAllFactorDetailsByFilterQuery)model, x => x.IncludeProperties(propertyName)));
        if (result.IsValid)
            return Array.Empty<string>();
        return result.Errors.Select(e => e.ErrorMessage);
    };
}
